diff -Nuar lms-1.11.19.5/debian/changelog lms/debian/changelog
--- lms-1.11.19.5/debian/changelog	2016-01-26 00:21:56.000000000 +0100
+++ lms/debian/changelog	2016-01-28 19:24:06.609952048 +0100
@@ -1,3 +1,29 @@
+lms (1.11.19.5) unstable; urgency=low
+
+  * Update source
+
+ -- Marek Adamski <siradams@siradams.com>  Mon, 25 Jun 2016 19:32:14 +0200
+
+lms (1.11.19.4) unstable; urgency=low
+
+  * Update source
+
+ -- Marek Adamski <siradams@siradams.com>  Mon, 22 Jun 2016 19:32:14 +0200
+
+lms (1.11.19.3) unstable; urgency=low
+
+  * Update source
+
+ -- Marek Adamski <siradams@siradams.com>  Mon, 13 Jun 2016 19:32:14 +0200
+
+lms (1.11.19.2) unstable; urgency=low
+
+  * Fix crontab script
+  * Fix /etc/init.d/ script
+  * Add new file
+
+ -- Marek Adamski <siradams@siradams.com>  Mon, 11 Jun 2016 19:32:14 +0200
+
 lms (1.11~git-1) unstable; urgency=low
 
   * Initial release
diff -Nuar lms-1.11.19.5/debian/conf/lms.ini lms/debian/conf/lms.ini
--- lms-1.11.19.5/debian/conf/lms.ini	1970-01-01 01:00:00.000000000 +0100
+++ lms/debian/conf/lms.ini	2016-01-28 19:18:54.976690439 +0100
@@ -0,0 +1,1051 @@
+; $Id$
+;
+; Example LMS configuration file 
+
+; Some General notes: 
+; ***************************************************************************
+; -the one and only really required section is database, rest of options are 
+; taken from database (could be changed in User Interface) and setings there 
+; take preference over this .ini file !!!
+; ***************************************************************************
+;
+; -times are given in seconds (600 is 10 minutes, 3600 means one hour and 
+; 86400 is a whole day)
+; -don't simply use/uncomment values from here, please read included 
+; documentation 
+; -Small Print: not many lms-developers are not-from-Poland, so please be 
+; aware that most of examples and descriptions are made for polish-speaking 
+; person. (but we've tired to be english-ed as far as we could...)
+
+; ---------------------------------------------------------------------------
+; Database Settings
+; ---------------------------------------------------------------------------
+
+[database]
+
+; Database driver type. Actually supported DB types are 'postgres' and 'mysql'
+; or 'mysqli'.
+; Default: mysql
+
+; type               = mysql
+
+; Host where database is installed. Most often, localhost, but can here set
+; anything (IP, domain, path to socket in format 'localhost:/path/to/socket').
+; Default: localhost
+
+; host               = localhost
+
+; Name of database user account. In many cases (if you've go by documentation)
+; that will be 'lms'. When you'll want to use privileged account, probably you'll
+; enter 'root' (MySQL on most of *nixes), 'mysql' (on PLD) or 'postgres' (PostgreSQL).
+; Default: mysql
+
+; user               = mysql
+
+; Database password. Default: empty
+
+; password          = password
+
+; Name of database. Default: lms
+;
+; database          = lms
+
+; ---------------------------------------------------------------------------
+; Interface Setting
+; ---------------------------------------------------------------------------
+
+[phpui]
+
+; List of networks and IP addresses, which have access to LMS. If empty, every
+; IP address has access to LMS. When you write here list of addresses or address
+; classes, LMS dismiss every unwanted user with HTTP 403 error.
+
+; allow_from = 192.168.0.0/16, 213.25.209.224/27, 213.241.77.29
+
+; Timeout of www session. After that time (in seconds) user will be log out 
+; if not take some action. There is not possible to set no timeout. If you 
+; set this value to (or very close to) zero, you'll can't use LMS!
+; Default: 900
+
+; timeout       = 900
+
+; User interface language symbol. When is not set, language will be based on
+; html browser settings. Default: en
+
+; lang		= pl 
+
+; Limit of displayed positions on one page on customers list. Default: 10
+
+; customerlist_pagelimit     = 10
+
+; Limit of displayed records on page on nodes list. Default: 10
+
+; nodelist_pagelimit     = 10
+
+; Limit of displayed records on page on user's balance. Default: 50.
+
+; balancelist_pagelimit     = 50
+
+; Limit of displayed records on page on invoices list. Default: 50
+
+; invoicelist_pagelimit     = 50
+
+; Limit of displayed records on page on tickets (requests) list. Default: 100
+
+; ticketlist_pagelimit     = 50
+
+; Limit of displayed records on page on accounts list. Default: 100
+
+; accountlist_pagelimit     = 50
+
+; Limit of displayed records on page on domains list. Default: 100
+
+; domainlist_pagelimit     = 50
+
+; Limit of displayed records on page on UI config options list. Default: 100
+
+; configlist_pagelimit     = 50
+
+; Limit of displayed nodes on one page in Network Info. Default: 256
+
+; networkhosts_pagelimit     = 0
+
+; SSL Enforcing. Setting this option to 1 will make that LMS will enforce SSL
+; connection doing redirect to 'https://'.$_SERVER[HTTP_HOST].$_SERVER[REQUEST_URI]
+; at every access without SSL.
+; Default: 0 (off).
+
+; force_ssl          = 0
+
+; Reload type. Default: 'sql'. Proper values:
+;
+; exec - runing some command (often with sudo, some script or something else
+;        configurable below)
+; sql  - doing SQL query 
+;
+; reload_type          = exec
+
+; Command to run during reload, if reload_type is set to 'exec'.
+; By default /bin/true. That string is send to command system(), so I propose
+; consideration what you do and how :) Altogether, semicolons should be parsed
+; by bash, but LMS splits that string and execute commands singly.
+
+; reload_execcmd     = "sudo /usr/bin/reload_lms.sh"
+
+; SQL query executed while reload, if reload_type = sql.
+; In query can be used '%TIME%' as replacement to current unix timestamp.
+; WARNING! Semicolon is handled by a queries separator, that means you can
+; enter couple of SQL queries separate them by semicolon sign.
+
+; reload_sqlquery     = "INSERT INTO reload VALUES ('1','%TIME%')"
+
+; Permission for addition of nodes with duplicated MAC address
+; (not checking that some computer have that MAC yet).
+; Default: 0 (off)
+
+; allow_mac_sharing     = 1
+
+; Default zip code, city, street, used while inserting of new user.
+; Useful when we have many users on the same street.
+
+; default_zip          = 03-749
+; default_city         = Warsaw
+; default_address      = Wiosenna
+
+; Specify time (in seconds), after which node will be treated as inactive. 
+; It should match witch frequency of running script inspecting nodes
+; activity (e.g. lms-fping). Default: 600 sec.
+
+; lastonline_limit     = 600
+
+; Specify number of days (including current day) on timetable. Default: 7.
+
+; timetable_days_forward = 2
+
+; Qualify to use current day of month for payment day instead of most often used day.
+; Default: 0 (off).
+
+; use_current_payday     = 0
+
+; Enable Smarty's debug console. Usefull for tracking values passed from PHP to Smarty.
+; Default: 0 (off).
+
+; smarty_debug          = 1
+
+; List of arpd servers for reading of MAC addresses from remote networks.
+; That list should include items IP[:port] separated with spaces.
+; Default: empty.
+
+; arpd_servers          = 192.168.1.1 192.168.2.1:2029
+
+; When enabled, all messages in helpdesk system (except those sent to the requestor)
+; will be send to mail server at address of right queue. On server should be
+; running script lms-rtparser, which will write messages to database.
+; Default: disabled
+ 
+; helpdesk_backend_mode = 1
+
+; Name of message sender or predefined values: 'queue' - ticket's queue name,
+; 'user' - name of logged user. Default: empty.
+
+; helpdesk_sender_name = Helpdesk
+
+; New ticket notification to all users with rights for queue to which new 
+; ticket was added. Default: disabled
+
+; newticket_notify = 0
+
+; Specify format of verbal amounts representation (on invoices). For value "1"
+; verbal expand of 123,15 will be "one two thr 15/100". Default: 0
+
+; to_words_short_version = 1
+
+; Length of (auto-generated) node password. Max. 32. Default: 16.
+
+; nodepassword_length 	= 32
+
+; PHP file with user-defined access rules. Should be placed in lib directory.
+; Default: none
+
+; custom_accesstable 	= file.php
+
+; Charset of data that GD library expects (usefull if GD need ISO instead 
+; of UTF-8 to feed imagetext() function. Default: ISO-8859-2.
+
+; gd_translate_to 	= 
+
+; How often to check for LMS updates (in seconds). Default: 86400.
+
+; check_for_updates_period = 604800
+
+; Prefix for account home directory. Default: /home/
+
+; homedir_prefix 	= /home/users/
+
+[directories]
+
+; System directory. It is a place where is entire content of LMS's UI, that means
+; index.php, graphics, templates and the rest. By default index.php seek in filesystem
+; using getcwd(), but better is to say him where hi is:
+
+sys_dir          = /usr/share/lms/
+
+; Directory with "modules" of LMS. That is content of /modules directory.
+; By default it is subdirectory modules in sys_dir
+
+modules_dir          = /usr/share/lms/modules/
+
+; Directory with "libraries" of LMS. That is content of /lib directory.
+; By default it is subdirectory lib in sys_dir
+
+lib_dir          = /usr/share/lms/lib/
+
+; Directory for database backup files - place where LMS write database snapshots.
+; By default it is subdirectory backups in sys_dir.
+; If directory with backups will be accessible from WWW level, then anybody will
+; can to access them without authorization.
+
+backup_dir          = /var/backups/lms/
+
+; In that directory LMS will store uploaded documents (files). 
+; By default it is subdirectory documents in sys_dir.
+; If directory with documents will be accessible from WWW level, then anybody will
+; can to access them without authorization. Those files are renamed to their
+; md5 sums.
+
+doc_dir          = /var/lib/lms/documents/
+
+; Smarty's compilation directory. Place where Smarty compile templates.
+; By default it is subdirectory templates_c in sys_dir.
+
+; smarty_compile_dir     = /var/smarty/compile/lms
+
+; Directory with Smarty's templates.
+; By default it is subdirectory templates in sys_dir.
+
+; smarty_templates_dir     = /usr/share/lms/templates
+
+userpanel_dir       = /usr/share/lms/userpanel/
+
+[mail]
+
+; Smtp server address. Default: 127.0.0.1
+
+; smtp_host		= 127.0.0.1
+
+; Smtp server port. Default: 25
+
+; smtp_port		= 25
+
+; Smtp username used with SMTP-AUTH. Default: none
+
+; smtp_username		=
+
+; Smtp password used with SMTP-AUTH. Default: none
+
+; smtp_password		=
+
+; Smtp authorization method. By default the best supported method will be used.
+
+; smtp_auth_type 	= PLAIN
+
+; E-mail address for debugging - at this address will goes messages sended from
+; module 'Mailing', instead of proper users.
+
+; debug_email          = root@localhost
+
+; ---------------------------------------------------------------------------
+; Configuration for logging traffic with iptables:  
+; lms-traffic-logiptables
+; ---------------------------------------------------------------------------
+
+[traffic-logiptables]
+
+; Plik gdzie ma być zapisany skrypt do ustawienia reguł iptables (plik ten
+; zostanie wykonany zaraz po zakończeniu skryptu). Domyślnie - 
+; /etc/rc.d/rc.stats
+; 
+; Default file where we store rules with statistics logging.
+
+; outfile          = /etc/rc.d/rc.stat
+
+; Ścieżka do binarki iptables, domyślnie: /usr/sbin/iptables
+; 
+; Place where iptables exec file lives, in PLD-linux it could be named 
+; according to used kernel (i.e. iptables24)
+
+; iptables_binary       = /usr/sbin/iptables
+
+; Interfejs od strony internetu, czyli nazwa urządzenia sieciowego przez
+; które idzie ruch do internetu. Domyślnie - nieustawione. Można ustawić
+; kilka interfejsów oddzielając ich nazwy spacjami.
+;
+; The 'Internet' interface, in most cases you will have some public (not 
+; rfc1918-like) IP address there. Names could be separated by spaces.  
+
+; wan_interfaces     = eth1
+
+; Lista portów lokalnych które mamy traktować także jako ruch do internetu,
+; np. możemy logować ruch do proxy na porty 8080 i 3128. Domyślnie nie
+; ustawione. Można wpisać kilka portów i/lub zakresów portów oddzielonych
+; spacjami, na przykład:
+
+; local_ports          = 8080 3128 1080 65000-65010
+
+; UID właściciela skryptu. Domyślnie: 0 (root)
+; script_owneruid     = 0
+
+; GID właściciela skryptu. Domyślnie: 0 (root)
+
+; script_ownergid     = 0
+
+; Uprawnienia pliku skryptu. Domyślnie: 700 (rwx------)
+; script_permission     = 700
+
+; ---------------------------------------------------------------------------
+; Konfiguracja skrypt do generowania limitów pasma w oparciu o iptables i htb
+; - lms-traffic-htbiptlimits
+; ---------------------------------------------------------------------------
+
+[traffic-htbiptlimits]
+
+; Plik gdzie ma być zapisany skrypt do ustawienia reguł iptables i komend tc
+; (plik ten zostanie wykonany zaraz po zakończeniu skryptu). Domyślnie -
+; /etc/rc.d/rc.limits
+
+; outfile          = /etc/rc.d/rc.limits
+
+; Ścieżka do binarki iptables, domyślnie: /usr/sbin/iptables
+
+; iptables_binary     = /usr/sbin/iptables
+
+; Ścieżka do binarki tc, domyślnie: /sbin/tc
+
+; tc_binary          = /sbin/tc
+
+; Interfejs od strony internetu, czyli nazwa urządzenia sieciowego przez
+; które idzie ruch do internetu, wraz z ich dopuszczalnymi limitami
+; przepustowości. Domyślnie - nieustawione. Można ustawić
+; kilka interfejsów oddzielając ich nazwy spacjami. Dla przykładu, eth1 i
+; limit 1024 kilobitów:
+
+; wan_interfaces     = eth1:1024
+
+; Lista portów lokalnych które mamy traktować także jako ruch do internetu,
+; np. możemy logować ruch do proxy na porty 8080 i 3128. Domyślnie nie
+; ustawione. Można wpisać kilka portów i/lub zakresów portów oddzielonych
+; spacjami, na przykład:
+
+; local_ports          = 8080 3128 1080 65000-65010
+
+; Lista adresów IP i docelowych sieci które normalnie są lokalne, ale mają
+; być traktowane jako sieci zdalne:
+
+; local_dests          = 212.21.221.21:25
+
+; local_ips          = 213.21.221.32
+
+; UID właściciela skryptu. Domyślnie: 0 (root)
+; script_owneruid     = 0
+
+; GID właściciela skryptu. Domyślnie: 0 (root)
+
+; script_ownergid     = 0
+
+; Uprawnienia pliku skryptu. Domyślnie: 700 (rwx------)
+; script_permission     = 700
+
+; ---------------------------------------------------------------------------
+; Konfiguracja skryptu do powiadamiania - lms-notify
+; ---------------------------------------------------------------------------
+
+[notify]
+
+; Plik z wzorem wiadomości o zadłużeniu. Przy opcji pustej wiadomość
+; nie jest wysyłana
+;
+; debtors_template          = /etc/lms/debtorstemplate.txt
+
+; Temat wiadomości o zadłużeniu.
+;
+; debtors_subject          = Informacja o zaległościach w opłatach za internet
+
+; Plik z wzorem wiadomości o wystawieniu faktury. Przy opcji pustej wiadomość
+; nie jest wysyłana
+;
+; invoices_template          = /etc/lms/invoicetemplate.txt
+
+; Temat wiadomości o nowej fakturze.
+;
+; invoices_subject          = Informacja o wystawieniu faktury
+
+; Plik z wzorem wiadomości o przekroczeniu terminu płatności faktury.
+; Przy opcji pustej wiadomość nie jest wysyłana
+;
+; deadline_template          = /etc/lms/deadlinetemplate.txt
+
+; Temat wiadomości o nowej przekroczeniu terminu płatności.
+;
+; deadline_subject          = Informacja o przekroczeniu terminu płatności
+
+; Limit bilansu poniżej którego do klienta zostanie wysłane upomnienie
+; o zaległościach. Domyślnie - 0.
+;
+; limit               = -20
+
+; Adres e-mail z którego zostanie wysłany e-mail.
+; Proszę pamiętać, że na niektórych MTA (np. exim) konto to musi istnieć
+; w systemie. Domyślnie - nieustawione.
+;
+; mailfrom          = root@domain.pl
+
+; Nazwa nadawcy maila:
+;
+; mailfname          = Administratorzy
+
+; Serwer SMTP przez który ma zostać wysłana wiadomość. Domyślnie: localhost.
+; Najlepiej wpisać tutaj adres IP zamiast nazwy.
+;
+; smtp_host          = smtp.mydomain.pl
+
+; Adres email do debugowania. Na ten adres zostaną wysłane e-maile z
+; lms-notify. Przydatne do debugowania i sprawdzania czy wszystko działa OK.
+;
+; debug_email          = baseciq@domain.pl
+
+; ---------------------------------------------------------------------------
+; Konfiguracja lms-cutoff - skryptu do zmiany statusu komputerów użytkowników
+; mających bilans poniżej zadanego poziomu finansowego.
+; ---------------------------------------------------------------------------
+
+[cutoff]
+
+; Limit bilansu poniżej którego wszystkie komputery użytkownika zostaną
+; odcięte. Domyślnie - 0.
+;
+; limit               = -20
+
+; Przy określaniu salda bierz pod uwagę termin płatności tak by nie blokować
+; użytkownika za nieprzeterminowane płatności.
+; only_due            = 1
+
+; Przedłuż termin płatności o następują ilość dni dając czas na to aż przelew
+; spłynie
+; extend_deadline     = 7
+
+; ---------------------------------------------------------------------------
+; Konfiguracja lms-makewarnings - skryptu do ustawiania ostrzeżenia
+; komputerów użytkowników mających bilans poniżej zadanego poziomu
+; finansowego.
+; ---------------------------------------------------------------------------
+
+[warnings]
+
+; Path to iptables binary, default: /sbin/iptables
+
+; iptables_binary       = /sbin/iptables
+
+; List of networks generated by LMS, separated by space, if unset,
+; lms will generate configs for all networks
+
+; networks              = public-custa public-custb
+
+; List of usergroups used by LMS to generate warnings configs,
+; separated by space, if unset, lms will generate configs for all usergroups
+
+; usergroups            = 
+
+; Warning configuration file. Default: /etc/rc.d/rc.warnings
+
+; config_file             = /etc/rc.d/rc.warnings
+
+; Owner uid of warnings configuration file. Default: 0 (root)
+
+; config_owneruid         = 0
+
+; Group of warnings configuration file. Default: 0 (root)
+
+; config_ownergid         = 0
+
+; Permission of warnings configuration file. Default: 700 (rwx------)
+
+; config_permission       = 700
+
+; Chain to which warnings redirect rules will belong to. Default: WARNINGS
+
+; chain                 = WARNINGS
+
+; Traffic from all warned hosts to http/w3cache servers will be redirected
+; to this address and port. Default: 127.0.0.1:80
+
+; redirect_address      = 127.0.0.1:80
+
+; Limit bilansu poniżej którego wszystkie komputery użytkownika będą
+; otrzymywać ostrzeżenie przez www. Domyślnie - 0.
+;
+; limit               = -20
+
+; ---------------------------------------------------------------------------
+; Konfiguracja lms-makemessages - skryptu do ustawiania wiadomości
+; administracyjnych do żytkowników mających ustawione pole warning.
+; ---------------------------------------------------------------------------
+
+[messages]
+
+; Path to iptables binary, default: /sbin/iptables
+
+; iptables_binary       = /sbin/iptables
+
+; List of networks generated by LMS, separated by space, if unset,
+; lms will generate configs for all networks
+
+; networks              = public-custa public-custb
+
+; List of usergroups used by LMS to generate messages configs,
+; separated by space, if unset, lms will generate configs for all usergroups
+
+; usergroups            = 
+
+; messages configuration file. Default: /etc/rc.d/rc.messages
+
+; config_file             = /etc/rc.d/rc.messages
+
+; Owner uid of messages configuration file. Default: 0 (root)
+
+; config_owneruid         = 0
+
+; Group of messages configuration file. Default: 0 (root)
+
+; config_ownergid         = 0
+
+; Permission of messages configuration file. Default: 700 (rwx------)
+
+; config_permission       = 700
+
+; Chain to which messages redirect rules will belong to. Default: MESSAGES
+
+; chain                 = MESSAGES
+
+; Traffic from all hosts to http/w3cache servers will be redirected
+; to this address and port. Default: 127.0.0.1:80
+
+; redirect_address      = 127.0.0.1:80
+
+; ---------------------------------------------------------------------------
+; Konfiguracja lms-makedhcpconf - skryptu do generowania pliku dhcpd.conf
+; ---------------------------------------------------------------------------
+
+[dhcp]
+
+; Lista sieci (oddzielonych spacją) dla których skrypt ma być wykonany.
+; Jeżeli puste, skrypt wygeneruje wpisy dla wszystkich sieci:
+
+; networks          = public-custa public-custb
+
+; Grupy użytkowników (oddzielone spacją), którzy mają być brani pod uwagę
+; przy generowaniu wpisów. Jeżeli puste, skrypt bierze pod uwagę użytkowników
+; należących do wszystkich grup:
+
+; usergroups          =
+
+; Domyślny czas dzierżawy. Domyślnie 86400 sekund:
+
+; default_lease_time     = 86400
+
+; Maksymalny czas dzierżawy. Domyślnie 86400 sekund:
+
+; max_lease_time     = 86400
+
+; Nazwa pliku do którego ma być zapisana konfiguracja. Domyślnie
+; /etc/dhcpd.conf
+
+; config_file          = /etc/dhcpd.conf
+
+; Nie generuj wpisu 'ddns-update-style none;' na początku pliku.
+; Przydatne przy starszych (2.2) wersjach demona dhcpd. Domyślnie
+; wyłączone.
+
+; ignore_ddns          = 1
+
+; uid i gid właściciela pliku. Domyślnie 0.0 (czyli root.root):
+
+; config_owneruid     = 0
+; config_ownergid     = 0
+
+; Prawa dostępu do pliku konfiguracyjnego. Domyślnie 600 (rw-------):
+
+; config_permission     = 600
+
+; Ustawienie trybu logowania daemona dhcp. Jeżeli puste to tryb domyślny:
+
+; log_facility          =
+
+; Możesz podać czasy dzierżawy dla konkretnych sieci poprzez stworzenie
+; sekcji [dhcp:nazwasieci]:
+
+; [dhcp:public-custa]
+; default_lease_time     = 3600
+; max_lease_time     = 3600
+
+; Możesz podać gateway, serwer dns, nazwę domeny i wins dla konkretnego
+; hosta poprzez stworzenie sekcji [dhcp:adresip]:
+
+; [dhcp:213.25.209.216]
+; domain          = anotherdomain.pl
+; gateway          = 213.25.209.251
+; dns               = 213.25.209.8
+; wins               = 213.25.209.10
+
+; ---------------------------------------------------------------------------
+; Konfiguracja lms-makeoidentd, skryptu do generowania pliku konfiguracyjnego
+; od demona identd - oidentd.
+; ---------------------------------------------------------------------------
+
+[oidentd]
+
+; Lista sieci (oddzielonych spacją) dla których skrypt ma być wykonany.
+; Jeżeli puste, skrypt wygeneruje wpisy dla wszystkich sieci:
+
+; networks          = public-custa public-custb
+
+; Grupy użytkowników (oddzielone spacją), którzy mają być brani pod uwagę
+; przy generowaniu wpisów. Jeżeli puste, skrypt bierze pod uwagę użytkowników
+; należących do wszystkich grup:
+
+; usergroups          =
+
+; Plik do którego ma być zapisana konfiguracja:
+
+; config_file          = /etc/oidentd_masq.conf
+
+; uid i gid właściciela pliku
+
+; config_owneruid     = 0
+; config_ownergid     = 0
+
+; Prawa dostępu do pliku. Domyślnie 600 (rw-------):
+
+; config_permission     = 600
+
+; Template dla wpisu. Domyślnie: m-%N
+
+; Można użyć %N (nazwa hosta), %I (id hosta), %O właściciel hosta.
+
+; identd_template     = m-%N
+
+; ---------------------------------------------------------------------------
+; Konfiguracja lms-makehosts, skryptu do generowania pliku /etc/hosts
+; ---------------------------------------------------------------------------
+
+[hosts]
+
+; Lista sieci (oddzielonych spacją) dla których skrypt ma być wykonany.
+; Jeżeli puste, skrypt wygeneruje wpisy dla wszystkich sieci:
+
+; networks          = public-custa public-custb
+
+; Grupy użytkowników (oddzielone spacją), którzy mają być brani pod uwagę
+; przy generowaniu wpisów. Jeżeli puste, skrypt bierze pod uwagę użytkowników
+; należących do wszystkich grup:
+
+; usergroups          =
+
+; Plik do którego ma być zapisana konfiguracja:
+
+; config_file          = /etc/hosts
+
+; uid i gid właściciela pliku
+
+; config_owneruid     = 0
+; config_ownergid     = 0
+
+; Prawa dostępu do pliku. Domyślnie 600 (rw-r--r--):
+
+; config_permission     = 644
+
+; Nagłówek pliku /etc/hosts. Domyślnie: 127.0.0.1 localhost localhost.localdomain
+
+; config_header         = 127.0.0.1 localhost localhost.localdomain
+
+; ---------------------------------------------------------------------------
+; lms-makeipchains
+; ---------------------------------------------------------------------------
+
+[ipchains]
+
+; Lista sieci generowana przez LMS-a. Wartości oddzielone spacją.
+; Domyślnie: generuje configi dla wszystkich sieci.
+; 
+; Zauważ że ipchains było używane z linksami wyposażonymi w kernele 2.2.X 
+; nie spotyka się już (06/2005) takich w środowiskach produkcyjnych często, 
+; ale dla zachowania kompatybilności ta opcja pozostanie tutaj.
+
+; networks              = public-custa public-custb
+
+; Ścieżka do ipchains, default: /usr/sbin/ipchains
+
+; ipchains_binary       = /usr/sbin/ipchains
+
+; Plik do którego zapisujemy reguły ipchains. Default: /etc/rc.d/rc.masq
+
+; script_file           = /etc/rc.d/rc.masq
+
+; Plik wykonywany PO wyczyszczeniu regułek, ale PRZED ustawieniem nowych.
+; Domyślnie: niezdefiniowany.
+
+; pre_script            = /etc/rc.d/rc.masq-pre
+
+; Plik wykonywany PO ustawieniu regułek.
+; Domyślnie: niezdefiniowany.
+
+; post_script           = /etc/rc.d/rc.masq-post
+
+; Lista sieci dla których włączamy forwarding. 
+; Możliwe wartości:
+; pusta - pełny forward
+; nieistniejąca_sieć - wyłącz forward
+; siec1 siec2 - lista sieci z włączonym forwardingiem
+
+; forward_to            = public-custa public-custb
+
+; UID właściciela skryptu. Domyślnie: 0 (root)
+; script_owneruid       = 0
+
+; GID właściciela skryptu. Domyślnie: 0 (root)
+
+; script_ownergid       = 0
+
+; Uprawnienia pliku skryptu. Domyślnie: 700 (rwx------)
+; script_permission     = 700
+
+; Konfiguracja przekierowań w formie port_źródłowy:port_docelowy dla
+; przekierowań na lokalną maszynę dla połączeń wychodzących.
+; (np. 80:3128 lub 25:25 )
+
+; tcp_redirect_ports    = 80:3128, 25:25
+; udp_redirect_ports    = 53:53
+
+; ---------------------------------------------------------------------------
+
+[iptables]
+
+; List of networks generated by LMS, separated by space, if unset,
+; lms will generate configs for all networks
+
+; networks              = public-custa public-custb
+
+; Path to iptables binary, default: /usr/sbin/iptables
+
+; iptables_binary       = /usr/sbin/iptables
+
+; File, where we should write iptables rules, default: /etc/rc.d/rc.masq
+
+; script_file           = /etc/rc.d/rc.masq
+
+; File name of script that will be executed AFTER flushing rules, but
+; BEFORE setting up any rules. Default: unset;
+
+; pre_script            = /etc/rc.d/rc.masq-pre
+
+; File name of script that will be executed AFTER setting up any rules.
+; Default: unset
+
+; post_script           = /etc/rc.d/rc.masq-post
+
+; List of networks where we wish forward data by default. Place here
+; non-exist network name to disable, leave empty to allow transfer
+; to all networks (default) or place list of network names (like in
+; networks option) where you wish to forward packets by default.
+
+; forward_to            = public-custa public-custb
+
+; Owner uid of script file. Default: 0 (root)
+
+; script_owneruid       = 0
+
+; Group of script file. Default: 0 (root)
+
+; script_ownergid       = 0
+
+; Permission of script file. Default: 700 (rwx------)
+
+; script_permission     = 700
+
+; SNAT source address. If unset, -j MASQUERADE will be used for hosts
+; with public ip addresses. If set, -j SNAT --to will be used.
+; Default is unset
+
+; snat_address          = 213.25.209.216
+
+; ---------------------------------------------------------------------------
+
+[macs]
+
+; Path to iptables binary, default: /sbin/iptables
+
+; iptables_binary       = /sbin/iptables
+
+; List of networks generated by LMS, separated by space, if unset,
+; lms will generate configs for all networks
+
+; networks              = public-custa public-custb
+
+; List of usergroups used by LMS to generate mac source filter configs,
+; separated by space, if unset, lms will generate configs for all usergroups
+
+; usergroups            = 
+
+; Mac source filter configuration file. Default: /etc/rc.d/rc.macs
+
+; config_file             = /etc/rc.d/rc.macs
+
+; Owner uid of mac source sfilter configuration file. Default: 0 (root)
+
+; config_owneruid         = 0
+
+; Group of mac source filter configuration file. Default: 0 (root)
+
+; config_ownergid         = 0
+
+; Permission of mac source filter configuration file. Default: 700 (rwx------)
+
+; config_permission       = 700
+
+; Chain to which mac source filter rules will belong to. Default: MACS
+
+; chain                 = MACS
+
+; Traffic from all unknown hosts to http/w3cache servers will be redirected
+; to this address and port. Default: 127.0.0.1:80
+
+; redirect_address      = 127.0.0.1:80
+
+; Nodes with no access will be filtered by mac source. Default: 0 (off)
+
+; lock_noaccess         = 0
+
+; ---------------------------------------------------------------------------
+; OpenBSD Packet Filter Configuration.
+; Currently used by lms-makeopenbsdpf, part of lms-scripts package,
+; and in future this section will be used in LMS-daemon.
+; ---------------------------------------------------------------------------
+
+[openbsdpf]
+
+; List of networks generated by LMS, separated by space, if unset,
+; lms will generate configs for all networks
+
+; networks              = public-custa public-custb
+
+; List of networks where we wish forward data by default. Place here
+; non-exist network name to disable, leave empty to allow transfer
+; to all networks (default) or place list of network names (like in
+; networks option) where you wish to forward packets by default.
+
+; forward_to            = public-custa public-custb
+
+
+; Packet filter configuration file. Default: /etc/pf.conf, and
+; propably it's the only place for this file
+
+; pffile                = /etc/pf.conf
+
+; Owner uid of packetfilter configuration file. Default: 0 (root)
+
+; pffile_owneruid       = 0
+
+; Group of packetfilter configuration file. Default: 0 (root)
+
+; pffile_ownergid       = 0
+
+; Permission of packetfilter configuration file. Default: 600 (rwx------)
+
+; pffile_permission     = 600
+
+; nat device and nat address settings - REQUIRED!
+;
+; Specify outgoing device for your machine and ipaddress to nat
+; connections from private segmetn. Even if you don't have any
+; interfaces or customers in 192.168.0.0/24, set up this values or
+; it will cause an error.
+
+; nat_device            = ppp0
+; nat_address           = 1.2.3.4
+
+; ---------------------------------------------------------------------------
+; Hosts Activity ('lastonline' feature)
+; lms-fping
+; ---------------------------------------------------------------------------
+
+[fping]
+
+; List of networks, separated by space, if unset,
+; fping will check hosts from all networks
+; networks           = public-custa public-custb
+
+; Destination of temprary file created by script
+; temp_file          = /etc/fping_hosts
+
+; Path to fping binary program
+; fping_binary           = /usr/sbin/fping
+
+; ---------------------------------------------------------------------------
+; Ustawienia dla systemu RT (Request Tracking)
+; ---------------------------------------------------------------------------
+
+[rt]
+
+; Numer ID kolejki, do której trafią zgłoszenia. Jeśli nie
+; podano, Kolejka zostanie odszukana na podstawie adresu odbiorcy maila.
+; Opcja ta może zostać nadpisana przy pomocy parametru -q przy
+; uruchomieniu skryptu. Domyślnie: niezdefiniowana.
+
+; default_queue = 1
+
+; Adres nadawcy potwierdzenia. Jeśli nie zdefiniowano, zostanie użyty adres
+; kolejki do której zapisano zgłoszenie. Domyślnie: niezdefiniowany.
+
+; mail_from = rt@net.pl
+
+; Nazwa nadawcy potwierdzenia. Domyślnie: niezdefiniowana.
+
+; mail_from_name = 'Bok SuperNET'
+
+; Serwer SMTP przez który będzie wysyłane potwierdzenie. Domyślnie: localhost
+
+; smtp_server = smtp.mydomain.pl
+
+; Katalog w którym zostaną zapisane załączniki. Katalog ten powinien być
+; dostępny dla apache'a i użytkownika uruchamiającego lms-rtparser. 
+; Gdy nie ustawiono, załączniki zostaną utracone. Domyślnie: niezdefiniowany.
+
+; mail_dir = 
+
+; Katalog tymczasowy. Domyślnie zostanie użyty katalog 
+; zdefiniowany w zmiennej systemowej lub /tmp.
+
+; tmp_dir = /tmp
+
+; ---------------------------------------------------------------------------
+; Ustawienia do faktur
+; ---------------------------------------------------------------------------
+
+[invoices]
+
+; Małe info - nie ma najmniejszego sensu rozwalania nipu, adresu itp. na
+; pojedyńcze opcje.
+;
+
+; I tak każda firma tą fakturę sama sobie dostosuje.
+
+; Nagłówek, a właściwie dane sprzedającego. Jako znak nowej linii należy
+; podać '\n', np:
+
+; header           = SuperNet ISP\n12-234 Wąchock\nWiosenna 52\n0 49 3883838\n\nksiegowosc@supernet.pl\n\nNIP: 123-123-12-23
+
+; Stopka. Małym drukiem na dole strony będzie, np:
+
+; footer           = Nasz Bank: Sratytaty, nazwa r-ku: SNETISP, nr r-ku: 828823917293871928371\nBiuro obsług klienta 329 29 29. Dział windykacji: 329 28 28\nSprzątaczki: 329 29 28
+
+; Domyślna osoba która wystawiła fakturę:
+
+; ps. na wielu fakturach widać poniższy tekst: :>
+
+; default_author      = specjalista d/s fakturowania
+
+; Miejsce wystawienia faktury
+
+; cplace           = Warszawa
+
+; Plik templejtu faktury. Domyślnie 'invoice.html'. Powinno to być umieszczone
+; w katalogu templates.
+
+; template_file          = invoice-supernet.html
+
+; Content-type dla faktury. Jeżeli wpiszecie tutaj 'application/octet-stream',
+; to przeglądarka zechce wam wysłać plik do zapisania na dysku, zamiast go
+; wyświetlić. Przydatne jeżeli użyjecie własnego template'a który wygeneruje
+; np. rtf'a czy xls'a. Domyślnie: 'text/html; charset=iso-8859-2'
+
+; content_type          = application/octet-stream
+
+; Możecie także podać nazwę pliku jako który ma zostać zapisany gotowy wydruk.
+
+; attachment_name     = faktury.xls
+
+; Czy drukować listę obciążeń/wpłat użytkownika na fakturach?
+; Template faktury powinien być tego świadom :p
+
+; print_balance_history = yes
+
+; Jeśli tak to ile ostatnich operacji?
+
+; print_balance_history_limit = 10   
+
+; UWAGA: Ustawienie attachment_name wraz z zostawieniem domyślnego content_type
+; spowoduje (w przypadku MSIE) wyświetlenie faktur, oraz prompt do zapisania
+; na dysku + w ramach promocji crash misia (6.0SP1 na WXP)
+
+; ---------------------------------------------------------------------------
+; Ustawienia mailera faktur
+; ---------------------------------------------------------------------------
+
+[sendinvoices]
+
+; Katalog tymczasowy. Domyślnie pobiera zmienną systemową TMP, lub jeżeli
+; to nie wypali, używa /tmp.
+
+; tmp_dir          = /tmp 
+
+; URL do LMS'a. Domyślnie - http://localhost/lms/.
+
+; lms_url          = http://localhost/lms/
+
+; Użytkownik i hasło do LMS'a które mają zostać użyte:
+
+; lms_user          = someuser
+; lms_password          = somepassword
+
+; sender_email          = ktos@gdzies.pl
+; sender_name          = Dział fakturowania
+; debug_email          = admin@localhost
diff -Nuar lms-1.11.19.5/debian/lms-common.install lms/debian/lms-common.install
--- lms-1.11.19.5/debian/lms-common.install	2016-01-26 00:21:56.000000000 +0100
+++ lms/debian/lms-common.install	2016-01-28 19:18:54.980690704 +0100
@@ -1 +1 @@
-sample/lms.ini /usr/share/lms-common/
+debian/conf/lms.ini /usr/share/lms-common/
diff -Nuar lms-1.11.19.5/debian/lms-daemon.init.d lms/debian/lms-daemon.init.d
--- lms-1.11.19.5/debian/lms-daemon.init.d	2016-01-26 00:21:56.000000000 +0100
+++ lms/debian/lms-daemon.init.d	2016-01-28 19:18:54.980690704 +0100
@@ -17,7 +17,7 @@
 PATH=/sbin:/usr/sbin:/bin:/usr/bin
 DESC=lmsd             # Introduce a short description here
 NAME=lmsd             # Introduce the short server's name here
-DAEMON=/usr/sbin/lmsd # Introduce the server's location here
+DAEMON=/usr/bin/lmsd  # Introduce the server's location here
 DAEMON_ARGS=""             # Arguments to run the daemon with
 PIDFILE=/var/run/$NAME.pid
 SCRIPTNAME=/etc/init.d/$NAME
diff -Nuar lms-1.11.19.5/debian/lms-ui.cron.d lms/debian/lms-ui.cron.d
--- lms-1.11.19.5/debian/lms-ui.cron.d	2016-01-26 00:21:56.000000000 +0100
+++ lms/debian/lms-ui.cron.d	2016-01-28 19:18:54.980690704 +0100
@@ -1,5 +1,5 @@
 # Account payments
-1 0 * * * www-data test ! -f /usr/sbin/lms-daemon && /usr/sbin/lms-payments
+1 0 * * * www-data test ! -f /usr/bin/lms-daemon && /usr/sbin/lms-payments
 
 # Disable nodes of customers with dept
-1 1 * * * www-data test ! -f /usr/sbin/lms-daemon && /usr/sbin/lms-cutoff
+1 1 * * * www-data test ! -f /usr/bin/lms-daemon && /usr/sbin/lms-cutoff
diff -Nuar lms-1.11.19.5/debian/lms-ui.install lms/debian/lms-ui.install
--- lms-1.11.19.5/debian/lms-ui.install	2016-01-26 00:21:56.000000000 +0100
+++ lms/debian/lms-ui.install	2016-01-28 19:21:31.973364954 +0100
@@ -2,53 +2,64 @@
 documents                       /var/lib/lms/
 img                             /usr/share/lms/
 modules                         /usr/share/lms/
+nbproject                       /usr/share/lms/
+plugins                         /usr/share/lms/
 templates                       /usr/share/lms/
 templates_c                     /var/spool/lms/
+tests                           /usr/share/lms/
 .htaccess                       /usr/share/lms/
 index.php                       /usr/share/lms/
 cache/.htaccess                 /var/cache/lms/
+plugins                         /usr/share/lms/
+tests                           /var/share/lms/
 
+lib/LMSConfig                   /usr/share/lms/lib/
+lib/LMSDocuments                /usr/share/lms/lib/
+lib/LMSManagers                 /usr/share/lms/lib/
+lib/LMSPermissions              /usr/share/lms/lib/
+lib/LMSPluginManager            /usr/share/lms/lib/
+lib/SmartyPlugins               /usr/share/lms/lib/
 lib/ezpdf                       /usr/share/lms/lib/
 lib/html2pdf                    /usr/share/lms/lib/
 lib/locale                      /usr/share/lms/lib/
-lib/plugins                     /usr/share/lms/lib/
-lib/phine/observer/src/lib/Phine/Observer         /usr/share/lms/lib/phine/
 lib/phine/exception/src/lib/Phine/Exception       /usr/share/lms/lib/phine/
-lib/SmartyPlugins               /usr/share/lms/lib/
+lib/phine/observer/src/lib/Phine/Observer         /usr/share/lms/lib/phine/
+lib/plugins                     /usr/share/lms/lib/
 lib/swekey                      /usr/share/lms/lib/
 lib/tcpdf                       /usr/share/lms/lib/
 lib/upgradedb                   /usr/share/lms/lib/
-lib/LMSConfig                   /usr/share/lms/lib/
-lib/LMSManagers                 /usr/share/lms/lib/
-lib/LMSPluginManager            /usr/share/lms/lib/
+
+lib/.htaccess                   /usr/share/lms/lib/
+lib/Auth.class.php              /usr/share/lms/lib/
+lib/ExecStack.class.php         /usr/share/lms/lib/
+lib/LMS.class.php               /usr/share/lms/lib/
+lib/LMSCache.php                /usr/share/lms/lib/
+lib/LMSDB.php                   /usr/share/lms/lib/
+lib/LMSDBDriverInterface.php    /usr/share/lms/lib/
+lib/LMSDBInterface.php          /usr/share/lms/lib/
+lib/LMSDB_common.class.php      /usr/share/lms/lib/
+lib/LMSPagination.php           /usr/share/lms/lib/
+lib/LMSPaginationFactory.php    /usr/share/lms/lib/
+lib/LMSPaginationLong.php       /usr/share/lms/lib/
+lib/LMSPaginationShort.php      /usr/share/lms/lib/
+lib/LMSSmarty.php               /usr/share/lms/lib/
+lib/SYSLOG.class.php            /usr/share/lms/lib/
+lib/Session.class.php           /usr/share/lms/lib/
+lib/Sysinfo.class.php           /usr/share/lms/lib/
 
 lib/accesstable.php             /usr/share/lms/lib/
 lib/autoloader.php              /usr/share/lms/lib/
-lib/Auth.class.php              /usr/share/lms/lib/
 lib/checkdirs.php               /usr/share/lms/lib/
 lib/checkip.php                 /usr/share/lms/lib/
 lib/common.php                  /usr/share/lms/lib/
 lib/config.php                  /usr/share/lms/lib/
 lib/definitions.php             /usr/share/lms/lib/
 lib/dns.php                     /usr/share/lms/lib/
-lib/ExecStack.class.php         /usr/share/lms/lib/
-lib/ezpdf.php                   /usr/share/lms/lib/
+lib/ethercodes.txt              /usr/share/lms/lib/
 lib/language.php                /usr/share/lms/lib/
-lib/LMS.class.php               /usr/share/lms/lib/
-lib/LMSDB_common.class.php      /usr/share/lms/lib/
-lib/LMSDB.php                   /usr/share/lms/lib/
-lib/LMSDBDriverInterface.php    /usr/share/lms/lib/
-lib/LMSDBInterface.php          /usr/share/lms/lib/
-lib/LMSCache.php                /usr/share/lms/lib/
-lib/LMSSmarty.php               /usr/share/lms/lib/
-
 lib/menu.php                    /usr/share/lms/lib/
-lib/Session.class.php           /usr/share/lms/lib/
-lib/Sysinfo.class.php           /usr/share/lms/lib/
-lib/SYSLOG.class.php            /usr/share/lms/lib/
 lib/tcpdf.php                   /usr/share/lms/lib/
 lib/unstrip.php                 /usr/share/lms/lib/
-lib/ethercodes.txt              /usr/share/lms/lib/
 
 doc/html                        /usr/share/lms/doc/
 doc/lms.mysql                   /usr/share/lms/doc/
@@ -63,4 +74,4 @@
 userpanel/index.php             /usr/share/lms/userpanel/
 userpanel/templates_c/.htaccess /var/spool/lms/userpanel_templates_c/
 
-plugins                         /usr/share/lms/
+
diff -Nuar lms-1.11.19.5/debian/lms-ui.links lms/debian/lms-ui.links
--- lms-1.11.19.5/debian/lms-ui.links	2016-01-26 00:21:56.000000000 +0100
+++ lms/debian/lms-ui.links	2016-01-28 19:18:54.984690914 +0100
@@ -5,3 +5,4 @@
 usr/share/php/smarty3               usr/share/lms/lib/Smarty
 usr/share/php/xajax                 usr/share/lms/lib/xajax
 var/spool/lms/userpanel_templates_c usr/share/lms/userpanel/templates_c
+usr/share/lms/img                   usr/share/lms/userpanel/img
